summaryrefslogtreecommitdiffstats
path: root/source/ap/sqlite/sqlite.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/sqlite/sqlite.SlackBuild')
-rwxr-xr-xsource/ap/sqlite/sqlite.SlackBuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/source/ap/sqlite/sqlite.SlackBuild b/source/ap/sqlite/sqlite.SlackBuild
index 59982b70d..f8869fb8d 100755
--- a/source/ap/sqlite/sqlite.SlackBuild
+++ b/source/ap/sqlite/sqlite.SlackBuild
@@ -33,12 +33,12 @@ if ls *.zip 1> /dev/null 2> /dev/null ; then
unzip *.zip
tar cf $(basename *.zip .zip).tar $(basename *.zip .zip)
touch -r *.zip *.tar
- xz -9 *.tar
+ plzip -9 *.tar
rm -r $(basename *.zip .zip)
rm *.zip
fi
-VERSION=${VERSION:-$(echo $PKGNAM-src-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-src-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
OLD_STYLE=$(printf "%1.f" $(echo $VERSION | cut -b 1)).$(printf "%1.f" $(echo $VERSION | cut -b 2,3)).$(printf "%1.f" $(echo $VERSION | cut -b 4,5))
PATCHLEVEL=$(printf "%1.f" $(echo $VERSION | cut -b 6,7))
if [ ! "$PATCHLEVEL" = "0" ]; then
@@ -121,7 +121,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-src-$VERSION
-tar xvf $CWD/$PKGNAM-src-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/$PKGNAM-src-$VERSION.tar.?z || exit 1
cd $PKGNAM-src-$VERSION || exit 1
chown -R root.root .
find . \